---
agentTools:
  projectIndex: https://developers.pipe.run/llms.txt
---

# Ver detalhes do template de e-mail

*Endpoint* utilizado para **ver detalhes de um template de e-mail específico** cadastrado na conta do CRM PipeRun, informando  o ID do template de e-mail como *path parameter*.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "application/json",
    "version": "1.1-CRM"
  },
  "servers": [
    {
      "url": "https://api.pipe.run/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "token",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/email/template/{email_template_id}": {
      "get": {
        "summary": "Ver detalhes do template de e-mail",
        "description": "",
        "operationId": "ver-detalhes-do-template-de-e-mail",
        "parameters": [
          {
            "name": "email_template_id",
            "in": "path",
            "description": "ID do template de e-mail correspondente.",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": true,\n  \"message\": \"OK\",\n  \"data\": [\n    {\n      \"id\": 748,\n      \"account_id\": 748,\n      \"user_id\": 748,\n      \"name\": \"abc\",\n      \"subject\": \"abc\",\n      \"body\": \"abc\",\n                  \"created_at\": \"2015-10-05 00:00:00\",\n\t\t\t\"updated_at\": \"2015-10-05 00:00:00\"\n    }\n  ],\n  \"meta\": {\n    \"total\": 1,\n    \"count\": 1,\n    \"per_page\": 15,\n    \"current_page\": 1,\n    \"total_pages\": 1,\n    \"links\": []\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "message": {
                      "type": "string",
                      "example": "OK"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 748,
                            "default": 0
                          },
                          "account_id": {
                            "type": "integer",
                            "example": 748,
                            "default": 0
                          },
                          "user_id": {
                            "type": "integer",
                            "example": 748,
                            "default": 0
                          },
                          "name": {
                            "type": "string",
                            "example": "abc"
                          },
                          "subject": {
                            "type": "string",
                            "example": "abc"
                          },
                          "body": {
                            "type": "string",
                            "example": "abc"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2015-10-05 00:00:00"
                          },
                          "updated_at": {
                            "type": "string",
                            "example": "2015-10-05 00:00:00"
                          }
                        }
                      }
                    },
                    "meta": {
                      "type": "object",
                      "properties": {
                        "total": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "count": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "per_page": {
                          "type": "integer",
                          "example": 15,
                          "default": 0
                        },
                        "current_page": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "total_pages": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "links": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": false,\n  \"message\": \"Not Found\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "message": {
                      "type": "string",
                      "example": "Not Found"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "686d5ab389846000619e863f:686d5ab389846000619e87d2"
}
```